Pango-1.5.1 released [unstable]
Posted on: 07/20/2004 07:16 AM

A new development version of the upcoming Pango-1.6.0, which will be released together with GNOME-2.8, has been released.

New features in the 1.5.x branch of Pango include

* Support for ellipsization in PangoLayout; that is, for truncating lines by replacing text at the start middle or end of the line with an ellipsis (...)

* Support for custom font decoders; applications can specify how characters are converted to glyphs for particular fonts

* Support for setting a transformation matrix on a PangoContext and transformed rendering support for the FT2 backend

Notes:

* This is unstable development release. While it has had fairly extensive testing, there are likely bugs remaining to be found. This release should not be used in production.

* Installing this version will overwrite your existing copy of Pango-1.4. If you have problems, you'll need to reinstall Pango-1.4.0.

* Bugs should be reported to http://bugzilla.gnome.org.

pango-1.5.1.tar.bz2 md5sum: c11cf17c6af0b8f756627516fedb567c
pango-1.5.1.tar.gz md5sum: 5c9611257cbc01c87e0477f8ef6531b6

Download


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/pango_151_released_unstable.html)